<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>ReportContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ReportContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/ReportContainer.html" target="_top">Frames</a></li>
<li><a href="ReportContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.reporting</div>
<h2 title="Interface ReportContainer" class="title">Interface ReportContainer&lt;T extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The base report type for reports of this container.</dd></dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&lt;T&gt;&gt;, <a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/reporting/BuildDashboardReports.html" title="interface in org.gradle.api.reporting">BuildDashboardReports</a>, <a href="../../../../org/gradle/api/plugins/quality/CheckstyleReports.html" title="interface in org.gradle.api.plugins.quality">CheckstyleReports</a>, <a href="../../../../org/gradle/api/plugins/quality/CodeNarcReports.html" title="interface in org.gradle.api.plugins.quality">CodeNarcReports</a>, <a href="../../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>, <a href="../../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>, <a href="../../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>, <a href="../../../../org/gradle/api/plugins/quality/JDependReports.html" title="interface in org.gradle.api.plugins.quality">JDependReports</a>, <a href="../../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality">PmdReports</a>, <a href="../../../../org/gradle/api/tasks/testing/TestTaskReports.html" title="interface in org.gradle.api.tasks.testing">TestTaskReports</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">ReportContainer&lt;T extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</span>
extends <a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;T&gt;, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&lt;T&gt;&gt;</pre>
<div class="block">A container of <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting"><code>Report</code></a> objects, that represent potential reports.
 <p>
 Things that produce reports (typically tasks) expose a report container that contains <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting"><code>Report</code></a> objects for each
 possible report that they can produce. Each report object can be configured individually, including whether or not it should
 be produced by way of its <a href="../../../../org/gradle/api/reporting/Report.html#setEnabled(boolean)"><code>enabled</code></a> property.
 <p>
 <code>ReportContainer</code> implementations are <b>immutable</b> in that standard collection methods such as <code>add()</code>, <code>remove()</code>
 and <code>clear()</code> will throw an <a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting"><code>ReportContainer.ImmutableViolationException</code></a>. However, implementations may provide new methods that allow
 the addition of new report object and/or the removal of existing report objects.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting">ReportContainer.ImmutableViolationException</a></strong></code>
<div class="block">The exception thrown when any of this container's mutation methods are called.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedMap.html?is-external=true" title="class or interface in java.util">SortedMap</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getAsMap()">getAsMap</a></strong>()</code>
<div class="block">Returns the objects in this collection, as a map from object name to object instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getEnabled()">getEnabled</a></strong>()</code>
<div class="block">Returns an immutable collection of all the enabled <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting"><code>Report</code></a> objects in this container.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getEnabledDirectoryReportDestinations()">getEnabledDirectoryReportDestinations</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getEnabledFileReportDestinations()">getEnabledFileReportDestinations</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getEnabledReportNames()">getEnabledReportNames</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getNamer()">getNamer</a></strong>()</code>
<div class="block">An object that represents the naming strategy used to name objects of this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getNames()">getNames</a></strong>()</code>
<div class="block">Returns the names of the objects in this collection as a Set of Strings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/Rule.html" title="interface in org.gradle.api">Rule</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#getRules()">getRules</a></strong>()</code>
<div class="block">Returns the rules used by this collection.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/reporting/ReportContainer.html#isEmpty()">isEmpty</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a></h3>
<code><a href="../../../../org/gradle/api/NamedDomainObjectSet.html#findAll(groovy.lang.Closure)">findAll</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#matching(org.gradle.api.specs.Spec)">matching</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#withType(java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a></h3>
<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#add(T)">add</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addAll(java.util.Collection)">addAll</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(org.gradle.api.Rule)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20org.gradle.api.Action)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20groovy.lang.Closure)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#findByName(java.lang.String)">findByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getAt(java.lang.String)">getAt</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String)">getByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20org.gradle.api.Action)">getByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20groovy.lang.Closure)">getByName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Set">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.util.Configurable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.util.Configurable</h3>
<code>configure</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnabled</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;&nbsp;getEnabled()</pre>
<div class="block">Returns an immutable collection of all the enabled <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting"><code>Report</code></a> objects in this container.
 <p>
 The returned collection is live. That is, as reports are enabled/disabled the returned collection always
 reflects the current set of enabled reports.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The enabled reports.</dd></dl>
</li>
</ul>
<a name="getNamer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNamer</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="../../../../org/gradle/api/Namer.html" title="interface in org.gradle.api">Namer</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;&nbsp;getNamer()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">NamedDomainObjectCollection</a></code></strong></div>
<div class="block">An object that represents the naming strategy used to name objects of this collection.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">getNamer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>Object representing the naming strategy.</dd></dl>
</li>
</ul>
<a name="getAsMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAsMap</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedMap.html?is-external=true" title="class or interface in java.util">SortedMap</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a>&gt;&nbsp;getAsMap()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">NamedDomainObjectCollection</a></code></strong></div>
<div class="block"><p>Returns the objects in this collection, as a map from object name to object instance.</p>

 <p>The map is ordered by the <em>natural ordering</em> of the object names (i.e. keys).</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">getAsMap</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The objects. Returns an empty map if this collection is empty.</dd></dl>
</li>
</ul>
<a name="getNames()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNames</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getNames()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">NamedDomainObjectCollection</a></code></strong></div>
<div class="block"><p>Returns the names of the objects in this collection as a Set of Strings.</p>

 <p>The set of names is in <em>natural ordering</em>.</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">getNames</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The names. Returns an empty set if this collection is empty.</dd></dl>
</li>
</ul>
<a name="getRules()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRules</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../org/gradle/api/Rule.html" title="interface in org.gradle.api">Rule</a>&gt;&nbsp;getRules()</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">NamedDomainObjectCollection</a></code></strong></div>
<div class="block">Returns the rules used by this collection.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">getRules</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The rules, in the order they will be applied.</dd></dl>
</li>
</ul>
<a name="isEmpty()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEmpty</h4>
<pre><a href="../../../../org/gradle/api/tasks/Internal.html" title="annotation in org.gradle.api.tasks">@Internal</a>
boolean&nbsp;isEmpty()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/reporting/ReportContainer.html" title="type parameter in ReportContainer">T</a> extends <a href="../../../../org/gradle/api/reporting/Report.html" title="interface in org.gradle.api.reporting">Report</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getEnabledDirectoryReportDestinations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnabledDirectoryReportDestinations</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/tasks/OutputDirectories.html" title="annotation in org.gradle.api.tasks">@OutputDirectories</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getEnabledDirectoryReportDestinations()</pre>
</li>
</ul>
<a name="getEnabledFileReportDestinations()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnabledFileReportDestinations</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/tasks/OutputFiles.html" title="annotation in org.gradle.api.tasks">@OutputFiles</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getEnabledFileReportDestinations()</pre>
</li>
</ul>
<a name="getEnabledReportNames()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEnabledReportNames</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
<a href="../../../../org/gradle/api/tasks/Input.html" title="annotation in org.gradle.api.tasks">@Input</a>
<a href="https://docs.oracle.com/javase/7/docs/api/java/util/SortedSet.html?is-external=true" title="class or interface in java.util">SortedSet</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;getEnabledReportNames()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/reporting/Report.OutputType.html" title="enum in org.gradle.api.reporting"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/reporting/ReportContainer.ImmutableViolationException.html" title="class in org.gradle.api.reporting"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/reporting/ReportContainer.html" target="_top">Frames</a></li>
<li><a href="ReportContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
